Bug 1299201 - Python2 still default after upgrading fedora 22 -> 23
Python2 still default after upgrading fedora 22 -> 23
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matej Stuchlik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-17 05:20 EST by io.paraskev
Modified: 2016-01-31 21:16 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-18 02:16:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description io.paraskev 2016-01-17 05:20:00 EST
Description of problem:
After upgrading from fedora 22 to fedora 23, fedora is still using python 2.7 as default python

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Fedora 22 with python 2.7 default
2. Upgrade through dnf system-upgrade to fedora 23
3. python still points to python2.7

Actual results:


Expected results:


Additional info:
Comment 1 Robert Kuska 2016-01-18 02:16:57 EST
This is expected.

Please refer to https://fedoraproject.org/wiki/Changes/Python_3_as_Default#Scope to understand what default means for distro.

Note You need to log in before you can comment on or make changes to this bug.